#include "bluetooth.h"

void receiveWirelessCommand(void) {
    while (Serial.available() > 0) {
        char command = Serial.read();
        if (command == feeder_off) {
            Serial.println("Pet feeder is off");
            digitalWrite(redFlag, HIGH);
            digitalWrite(greenFlag, LOW);
            feeder_state = 0;
            break;
            // state is off 
        } else if (command == feeder_on) {
            Serial.println("Pet feeder is on");
            digitalWrite(redFlag, LOW);
            digitalWrite(greenFlag, HIGH);
            feeder_state = 1;
            break;
            // state is on
        } else if (command == ultrasonic_off) {
            Serial.println("Ultrasonic is off");
            ultrasonic_state = 0;
            break;
            // ultrasonic state is off
        } else if (command == ultrasonic_on) {
            Serial.println("Ultrasonic is on");
            ultrasonic_state = 1;
            break;
            // ultrasonic state is on
        } else if (command == open){
            Serial.println("Open feeder");
            open_state = 1;
            break;
            // open feeder
        }
            else {
            Serial.println("Unrecognized command");
        }
    }
}